########################### SERVICES
services:
  # Docker Socket Proxy - Security Enchanced Proxy for Docker Socket
  socket-proxy:
    container_name: ${SOCKET_PROXY_CONTAINER_NAME}
    image: ${SOCKET_PROXY_IMAGE}:${SOCKET_PROXY_TAG}
    restart: ${SOCKET_PROXY_RESTART_POLICY}
    networks:
      socket_proxy:
    privileged: true
    ports:
    #  - "127.0.0.1:2375:2375" # Port 2375 should only ever get exposed to the internal network. When possible use this line.
    # I use the next line instead, as I want portainer to manage multiple docker endpoints within my home network.
     - "2375:2375"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
    env_file:
    - path: ./env-files/socket-proxy.env